@echo off
REM In theory, the only thing that should need to be set by hand
REM is the value of OPENEV_FW_DIR right here:

set OPENEV_FW_DIR=C:\openev_fw

REM -------------------------------------------------------------------------
REM The rest should work without interference.

REM The OPENEV_FW_OVERRIDE environment variable allows you to set a the 
REM install directory in your environment, instead of having to edit 
REM setfw.bat.  This is especially useful if you frequently upgrade to new 
REM versions, and don't want to have to edit the file every time. 

IF exist %OPENEV_FW_OVERRIDE%\setfw.bat SET OPENEV_FW_DIR=%OPENEV_FW_OVERRIDE%

IF exist %OPENEV_FW_DIR%\setfw.bat goto skip_err

echo OPENEV_FW_DIR not set properly in setfw.bat, please fix and rerun.
goto ALL_DONE

:SKIP_ERR

PATH=%OPENEV_FW_DIR%\bin;%OPENEV_FW_DIR%\python;%PATH%
set PYTHONPATH=%OPENEV_FW_DIR%\pymod;%OPENEV_FW_DIR%\numpy
set PROJ_LIB=%OPENEV_FW_DIR%\proj_lib
set GEOTIFF_CSV=%OPENEV_FW_DIR%\data
set GDAL_DATA=%OPENEV_FW_DIR%\data

:ALL_DONE
