# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.

import _mapscript

MapServerError = _mapscript.MapServerError
MapServerNotFoundError = _mapscript.MapServerNotFoundError
MapServerChildError = _mapscript.MapServerChildError

class Rect(object):
    def __repr__(self):
        return "<C rectObj instance at %s>" % (self.this,)
    minx = property(_mapscript.Rect_minx_get, _mapscript.Rect_minx_set)
    miny = property(_mapscript.Rect_miny_get, _mapscript.Rect_miny_set)
    maxx = property(_mapscript.Rect_maxx_get, _mapscript.Rect_maxx_set)
    maxy = property(_mapscript.Rect_maxy_get, _mapscript.Rect_maxy_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Rect(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Rect):
        try:
            if self.thisown: destroy(self)
        except: pass
    def project(*args): return _mapscript.Rect_project(*args)
    def fit(*args): return _mapscript.Rect_fit(*args)
    def draw(*args): return _mapscript.Rect_draw(*args)
    def toPolygon(*args): return _mapscript.Rect_toPolygon(*args)

class RectPtr(Rect):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Rect
_mapscript.Rect_swigregister(RectPtr)

class vectorObj(object):
    def __repr__(self):
        return "<C vectorObj instance at %s>" % (self.this,)
    x = property(_mapscript.vectorObj_x_get, _mapscript.vectorObj_x_set)
    y = property(_mapscript.vectorObj_y_get, _mapscript.vectorObj_y_set)
    def __init__(self, *args):
        newobj = _mapscript.new_vectorObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_vectorObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class vectorObjPtr(vectorObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = vectorObj
_mapscript.vectorObj_swigregister(vectorObjPtr)

class Point(object):
    def __repr__(self):
        return "<C pointObj instance at %s>" % (self.this,)
    x = property(_mapscript.Point_x_get, _mapscript.Point_x_set)
    y = property(_mapscript.Point_y_get, _mapscript.Point_y_set)
    m = property(_mapscript.Point_m_get, _mapscript.Point_m_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Point(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Point):
        try:
            if self.thisown: destroy(self)
        except: pass
    def project(*args): return _mapscript.Point_project(*args)
    def draw(*args): return _mapscript.Point_draw(*args)
    def distanceToPoint(*args): return _mapscript.Point_distanceToPoint(*args)
    def distanceToSegment(*args): return _mapscript.Point_distanceToSegment(*args)
    def distanceToShape(*args): return _mapscript.Point_distanceToShape(*args)
    def setXY(*args): return _mapscript.Point_setXY(*args)

class PointPtr(Point):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Point
_mapscript.Point_swigregister(PointPtr)

class Line(object):
    def __repr__(self):
        return "<C lineObj instance at %s>" % (self.this,)
    numpoints = property(_mapscript.Line_numpoints_get)
    point = property(_mapscript.Line_point_get)
    def __init__(self, *args):
        newobj = _mapscript.new_Line(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Line):
        try:
            if self.thisown: destroy(self)
        except: pass
    def project(*args): return _mapscript.Line_project(*args)
    def getPoint(*args): return _mapscript.Line_getPoint(*args)
    def addPoint(*args): return _mapscript.Line_addPoint(*args)
    def setPoint(*args): return _mapscript.Line_setPoint(*args)

class LinePtr(Line):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Line
_mapscript.Line_swigregister(LinePtr)

class Shape(object):
    def __repr__(self):
        return "<C shapeObj instance at %s>" % (self.this,)
    numlines = property(_mapscript.Shape_numlines_get)
    numvalues = property(_mapscript.Shape_numvalues_get)
    line = property(_mapscript.Shape_line_get)
    values = property(_mapscript.Shape_values_get)
    bounds = property(_mapscript.Shape_bounds_get, _mapscript.Shape_bounds_set)
    type = property(_mapscript.Shape_type_get, _mapscript.Shape_type_set)
    index = property(_mapscript.Shape_index_get, _mapscript.Shape_index_set)
    tileindex = property(_mapscript.Shape_tileindex_get, _mapscript.Shape_tileindex_set)
    classindex = property(_mapscript.Shape_classindex_get, _mapscript.Shape_classindex_set)
    text = property(_mapscript.Shape_text_get, _mapscript.Shape_text_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Shape(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Shape):
        try:
            if self.thisown: destroy(self)
        except: pass
    def project(*args): return _mapscript.Shape_project(*args)
    def getLine(*args): return _mapscript.Shape_getLine(*args)
    def addLine(*args): return _mapscript.Shape_addLine(*args)
    def draw(*args): return _mapscript.Shape_draw(*args)
    def setBounds(*args): return _mapscript.Shape_setBounds(*args)
    def copy(*args): return _mapscript.Shape_copy(*args)
    def getValue(*args): return _mapscript.Shape_getValue(*args)
    def contains(*args): return _mapscript.Shape_contains(*args)
    def distanceToPoint(*args): return _mapscript.Shape_distanceToPoint(*args)
    def distanceToShape(*args): return _mapscript.Shape_distanceToShape(*args)
    def intersects(*args): return _mapscript.Shape_intersects(*args)

class ShapePtr(Shape):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Shape
_mapscript.Shape_swigregister(ShapePtr)

class itemObj(object):
    def __repr__(self):
        return "<C itemObj instance at %s>" % (self.this,)
    name = property(_mapscript.itemObj_name_get, _mapscript.itemObj_name_set)
    type = property(_mapscript.itemObj_type_get, _mapscript.itemObj_type_set)
    index = property(_mapscript.itemObj_index_get, _mapscript.itemObj_index_set)
    size = property(_mapscript.itemObj_size_get, _mapscript.itemObj_size_set)
    numdecimals = property(_mapscript.itemObj_numdecimals_get, _mapscript.itemObj_numdecimals_set)
    def __init__(self, *args):
        newobj = _mapscript.new_itemObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_itemObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class itemObjPtr(itemObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = itemObj
_mapscript.itemObj_swigregister(itemObjPtr)

MS_SHAPEFILE_POINT = _mapscript.MS_SHAPEFILE_POINT
MS_SHAPEFILE_ARC = _mapscript.MS_SHAPEFILE_ARC
MS_SHAPEFILE_POLYGON = _mapscript.MS_SHAPEFILE_POLYGON
MS_SHAPEFILE_MULTIPOINT = _mapscript.MS_SHAPEFILE_MULTIPOINT
MS_SHP_POINTM = _mapscript.MS_SHP_POINTM
MS_SHP_ARCM = _mapscript.MS_SHP_ARCM
MS_SHP_POLYGONM = _mapscript.MS_SHP_POLYGONM
MS_SHP_MULTIPOINTM = _mapscript.MS_SHP_MULTIPOINTM
class DBFInfo(object):
    def __repr__(self):
        return "<C DBFInfo instance at %s>" % (self.this,)
    fp = property(_mapscript.DBFInfo_fp_get)
    nRecords = property(_mapscript.DBFInfo_nRecords_get)
    nRecordLength = property(_mapscript.DBFInfo_nRecordLength_get)
    nHeaderLength = property(_mapscript.DBFInfo_nHeaderLength_get)
    nFields = property(_mapscript.DBFInfo_nFields_get)
    panFieldOffset = property(_mapscript.DBFInfo_panFieldOffset_get)
    panFieldSize = property(_mapscript.DBFInfo_panFieldSize_get)
    panFieldDecimals = property(_mapscript.DBFInfo_panFieldDecimals_get)
    pachFieldType = property(_mapscript.DBFInfo_pachFieldType_get)
    pszHeader = property(_mapscript.DBFInfo_pszHeader_get)
    nCurrentRecord = property(_mapscript.DBFInfo_nCurrentRecord_get)
    bCurrentRecordModified = property(_mapscript.DBFInfo_bCurrentRecordModified_get)
    pszCurrentRecord = property(_mapscript.DBFInfo_pszCurrentRecord_get)
    bNoHeader = property(_mapscript.DBFInfo_bNoHeader_get)
    bUpdated = property(_mapscript.DBFInfo_bUpdated_get)
    pszStringField = property(_mapscript.DBFInfo_pszStringField_get)
    nStringFieldLen = property(_mapscript.DBFInfo_nStringFieldLen_get)
    def getFieldName(*args): return _mapscript.DBFInfo_getFieldName(*args)
    def getFieldWidth(*args): return _mapscript.DBFInfo_getFieldWidth(*args)
    def getFieldDecimals(*args): return _mapscript.DBFInfo_getFieldDecimals(*args)
    def getFieldType(*args): return _mapscript.DBFInfo_getFieldType(*args)
    def __init__(self, *args):
        newobj = _mapscript.new_DBFInfo(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_DBFInfo):
        try:
            if self.thisown: destroy(self)
        except: pass

class DBFInfoPtr(DBFInfo):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = DBFInfo
_mapscript.DBFInfo_swigregister(DBFInfoPtr)

FTString = _mapscript.FTString
FTInteger = _mapscript.FTInteger
FTDouble = _mapscript.FTDouble
FTInvalid = _mapscript.FTInvalid
class Shapefile(object):
    def __repr__(self):
        return "<C shapefileObj instance at %s>" % (self.this,)
    source = property(_mapscript.Shapefile_source_get)
    type = property(_mapscript.Shapefile_type_get)
    numshapes = property(_mapscript.Shapefile_numshapes_get)
    bounds = property(_mapscript.Shapefile_bounds_get)
    lastshape = property(_mapscript.Shapefile_lastshape_get)
    status = property(_mapscript.Shapefile_status_get)
    statusbounds = property(_mapscript.Shapefile_statusbounds_get)
    isopen = property(_mapscript.Shapefile_isopen_get)
    def __init__(self, *args):
        newobj = _mapscript.new_Shapefile(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Shapefile):
        try:
            if self.thisown: destroy(self)
        except: pass
    def get(*args): return _mapscript.Shapefile_get(*args)
    def getPoint(*args): return _mapscript.Shapefile_getPoint(*args)
    def getTransformed(*args): return _mapscript.Shapefile_getTransformed(*args)
    def getExtent(*args): return _mapscript.Shapefile_getExtent(*args)
    def add(*args): return _mapscript.Shapefile_add(*args)
    def addPoint(*args): return _mapscript.Shapefile_addPoint(*args)

class ShapefilePtr(Shapefile):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Shapefile
_mapscript.Shapefile_swigregister(ShapefilePtr)

class msTiledSHPLayerInfo(object):
    def __repr__(self):
        return "<C msTiledSHPLayerInfo instance at %s>" % (self.this,)
    shpfile = property(_mapscript.msTiledSHPLayerInfo_shpfile_get, _mapscript.msTiledSHPLayerInfo_shpfile_set)
    tileshpfile = property(_mapscript.msTiledSHPLayerInfo_tileshpfile_get, _mapscript.msTiledSHPLayerInfo_tileshpfile_set)
    tilelayerindex = property(_mapscript.msTiledSHPLayerInfo_tilelayerindex_get, _mapscript.msTiledSHPLayerInfo_tilelayerindex_set)
    def __init__(self, *args):
        newobj = _mapscript.new_msTiledSHPLayerInfo(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_msTiledSHPLayerInfo):
        try:
            if self.thisown: destroy(self)
        except: pass

class msTiledSHPLayerInfoPtr(msTiledSHPLayerInfo):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = msTiledSHPLayerInfo
_mapscript.msTiledSHPLayerInfo_swigregister(msTiledSHPLayerInfoPtr)


msDBFClose = _mapscript.msDBFClose

msDBFGetFieldCount = _mapscript.msDBFGetFieldCount

msDBFGetRecordCount = _mapscript.msDBFGetRecordCount

msDBFAddField = _mapscript.msDBFAddField

msDBFReadIntegerAttribute = _mapscript.msDBFReadIntegerAttribute

msDBFReadDoubleAttribute = _mapscript.msDBFReadDoubleAttribute

msDBFReadStringAttribute = _mapscript.msDBFReadStringAttribute

msDBFWriteIntegerAttribute = _mapscript.msDBFWriteIntegerAttribute

msDBFWriteDoubleAttribute = _mapscript.msDBFWriteDoubleAttribute

msDBFWriteStringAttribute = _mapscript.msDBFWriteStringAttribute

msDBFGetItems = _mapscript.msDBFGetItems

msDBFGetValues = _mapscript.msDBFGetValues

msDBFGetValueList = _mapscript.msDBFGetValueList

msDBFGetItemIndexes = _mapscript.msDBFGetItemIndexes

msDBFGetItemIndex = _mapscript.msDBFGetItemIndex
class Projection(object):
    def __repr__(self):
        return "<C projectionObj instance at %s>" % (self.this,)
    numargs = property(_mapscript.Projection_numargs_get)
    def __init__(self, *args):
        newobj = _mapscript.new_Projection(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Projection):
        try:
            if self.thisown: destroy(self)
        except: pass

class ProjectionPtr(Projection):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Projection
_mapscript.Projection_swigregister(ProjectionPtr)


GetMapserverUnitUsingProj = _mapscript.GetMapserverUnitUsingProj
MS_VERSION = _mapscript.MS_VERSION
MS_TRUE = _mapscript.MS_TRUE
MS_FALSE = _mapscript.MS_FALSE
MS_ON = _mapscript.MS_ON
MS_OFF = _mapscript.MS_OFF
MS_DEFAULT = _mapscript.MS_DEFAULT
MS_EMBED = _mapscript.MS_EMBED
MS_DELETE = _mapscript.MS_DELETE
MS_YES = _mapscript.MS_YES
MS_NO = _mapscript.MS_NO
MS_SINGLE = _mapscript.MS_SINGLE
MS_MULTIPLE = _mapscript.MS_MULTIPLE
MS_FILE_MAP = _mapscript.MS_FILE_MAP
MS_FILE_SYMBOL = _mapscript.MS_FILE_SYMBOL
MS_INCHES = _mapscript.MS_INCHES
MS_FEET = _mapscript.MS_FEET
MS_MILES = _mapscript.MS_MILES
MS_METERS = _mapscript.MS_METERS
MS_KILOMETERS = _mapscript.MS_KILOMETERS
MS_DD = _mapscript.MS_DD
MS_PIXELS = _mapscript.MS_PIXELS
MS_SHAPE_POINT = _mapscript.MS_SHAPE_POINT
MS_SHAPE_LINE = _mapscript.MS_SHAPE_LINE
MS_SHAPE_POLYGON = _mapscript.MS_SHAPE_POLYGON
MS_SHAPE_NULL = _mapscript.MS_SHAPE_NULL
MS_LAYER_POINT = _mapscript.MS_LAYER_POINT
MS_LAYER_LINE = _mapscript.MS_LAYER_LINE
MS_LAYER_POLYGON = _mapscript.MS_LAYER_POLYGON
MS_LAYER_RASTER = _mapscript.MS_LAYER_RASTER
MS_LAYER_ANNOTATION = _mapscript.MS_LAYER_ANNOTATION
MS_LAYER_QUERY = _mapscript.MS_LAYER_QUERY
MS_LAYER_CIRCLE = _mapscript.MS_LAYER_CIRCLE
MS_LAYER_TILEINDEX = _mapscript.MS_LAYER_TILEINDEX
MS_TRUETYPE = _mapscript.MS_TRUETYPE
MS_BITMAP = _mapscript.MS_BITMAP
MS_UL = _mapscript.MS_UL
MS_LR = _mapscript.MS_LR
MS_UR = _mapscript.MS_UR
MS_LL = _mapscript.MS_LL
MS_CR = _mapscript.MS_CR
MS_CL = _mapscript.MS_CL
MS_UC = _mapscript.MS_UC
MS_LC = _mapscript.MS_LC
MS_CC = _mapscript.MS_CC
MS_AUTO = _mapscript.MS_AUTO
MS_XY = _mapscript.MS_XY
MS_TINY = _mapscript.MS_TINY
MS_SMALL = _mapscript.MS_SMALL
MS_MEDIUM = _mapscript.MS_MEDIUM
MS_LARGE = _mapscript.MS_LARGE
MS_GIANT = _mapscript.MS_GIANT
MS_NORMAL = _mapscript.MS_NORMAL
MS_HILITE = _mapscript.MS_HILITE
MS_SELECTED = _mapscript.MS_SELECTED
MS_INLINE = _mapscript.MS_INLINE
MS_SHAPEFILE = _mapscript.MS_SHAPEFILE
MS_TILED_SHAPEFILE = _mapscript.MS_TILED_SHAPEFILE
MS_SDE = _mapscript.MS_SDE
MS_OGR = _mapscript.MS_OGR
MS_UNUSED_1 = _mapscript.MS_UNUSED_1
MS_POSTGIS = _mapscript.MS_POSTGIS
MS_WMS = _mapscript.MS_WMS
MS_ORACLESPATIAL = _mapscript.MS_ORACLESPATIAL
MS_WFS = _mapscript.MS_WFS
MS_GRATICULE = _mapscript.MS_GRATICULE
MS_MYGIS = _mapscript.MS_MYGIS
MS_RASTER = _mapscript.MS_RASTER
MS_DB_XBASE = _mapscript.MS_DB_XBASE
MS_DB_CSV = _mapscript.MS_DB_CSV
MS_DB_MYSQL = _mapscript.MS_DB_MYSQL
MS_DB_ORACLE = _mapscript.MS_DB_ORACLE
MS_DB_POSTGRES = _mapscript.MS_DB_POSTGRES
MS_JOIN_ONE_TO_ONE = _mapscript.MS_JOIN_ONE_TO_ONE
MS_JOIN_ONE_TO_MANY = _mapscript.MS_JOIN_ONE_TO_MANY
MS_CJC_NONE = _mapscript.MS_CJC_NONE
MS_CJC_BEVEL = _mapscript.MS_CJC_BEVEL
MS_CJC_BUTT = _mapscript.MS_CJC_BUTT
MS_CJC_MITER = _mapscript.MS_CJC_MITER
MS_CJC_ROUND = _mapscript.MS_CJC_ROUND
MS_CJC_SQUARE = _mapscript.MS_CJC_SQUARE
MS_CJC_TRIANGLE = _mapscript.MS_CJC_TRIANGLE
MS_SUCCESS = _mapscript.MS_SUCCESS
MS_FAILURE = _mapscript.MS_FAILURE
MS_DONE = _mapscript.MS_DONE
MS_IMAGEMODE_PC256 = _mapscript.MS_IMAGEMODE_PC256
MS_IMAGEMODE_RGB = _mapscript.MS_IMAGEMODE_RGB
MS_IMAGEMODE_RGBA = _mapscript.MS_IMAGEMODE_RGBA
MS_IMAGEMODE_INT16 = _mapscript.MS_IMAGEMODE_INT16
MS_IMAGEMODE_FLOAT32 = _mapscript.MS_IMAGEMODE_FLOAT32
MS_IMAGEMODE_BYTE = _mapscript.MS_IMAGEMODE_BYTE
MS_IMAGEMODE_NULL = _mapscript.MS_IMAGEMODE_NULL
class FontSet(object):
    def __repr__(self):
        return "<C fontSetObj instance at %s>" % (self.this,)
    filename = property(_mapscript.FontSet_filename_get)
    numfonts = property(_mapscript.FontSet_numfonts_get)
    def getFirstFont(*args): return _mapscript.FontSet_getFirstFont(*args)
    def getNextFont(*args): return _mapscript.FontSet_getNextFont(*args)
    def __init__(self, *args):
        newobj = _mapscript.new_FontSet(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_FontSet):
        try:
            if self.thisown: destroy(self)
        except: pass

class FontSetPtr(FontSet):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = FontSet
_mapscript.FontSet_swigregister(FontSetPtr)

class OutputFormat(object):
    def __repr__(self):
        return "<C outputFormatObj instance at %s>" % (self.this,)
    name = property(_mapscript.OutputFormat_name_get, _mapscript.OutputFormat_name_set)
    mimetype = property(_mapscript.OutputFormat_mimetype_get, _mapscript.OutputFormat_mimetype_set)
    driver = property(_mapscript.OutputFormat_driver_get, _mapscript.OutputFormat_driver_set)
    extension = property(_mapscript.OutputFormat_extension_get, _mapscript.OutputFormat_extension_set)
    renderer = property(_mapscript.OutputFormat_renderer_get, _mapscript.OutputFormat_renderer_set)
    imagemode = property(_mapscript.OutputFormat_imagemode_get, _mapscript.OutputFormat_imagemode_set)
    transparent = property(_mapscript.OutputFormat_transparent_get, _mapscript.OutputFormat_transparent_set)
    bands = property(_mapscript.OutputFormat_bands_get, _mapscript.OutputFormat_bands_set)
    numformatoptions = property(_mapscript.OutputFormat_numformatoptions_get, _mapscript.OutputFormat_numformatoptions_set)
    formatoptions = property(_mapscript.OutputFormat_formatoptions_get, _mapscript.OutputFormat_formatoptions_set)
    refcount = property(_mapscript.OutputFormat_refcount_get, _mapscript.OutputFormat_refcount_set)
    inmapfile = property(_mapscript.OutputFormat_inmapfile_get, _mapscript.OutputFormat_inmapfile_set)
    def __init__(self, *args):
        newobj = _mapscript.new_OutputFormat(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_OutputFormat):
        try:
            if self.thisown: destroy(self)
        except: pass
    def setExtension(*args): return _mapscript.OutputFormat_setExtension(*args)
    def setMimetype(*args): return _mapscript.OutputFormat_setMimetype(*args)
    def setOption(*args): return _mapscript.OutputFormat_setOption(*args)
    def getOption(*args): return _mapscript.OutputFormat_getOption(*args)

class OutputFormatPtr(OutputFormat):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = OutputFormat
_mapscript.OutputFormat_swigregister(OutputFormatPtr)

MS_NOOVERRIDE = _mapscript.MS_NOOVERRIDE
class queryMapObj(object):
    def __repr__(self):
        return "<C queryMapObj instance at %s>" % (self.this,)
    height = property(_mapscript.queryMapObj_height_get, _mapscript.queryMapObj_height_set)
    width = property(_mapscript.queryMapObj_width_get, _mapscript.queryMapObj_width_set)
    status = property(_mapscript.queryMapObj_status_get, _mapscript.queryMapObj_status_set)
    style = property(_mapscript.queryMapObj_style_get, _mapscript.queryMapObj_style_set)
    color = property(_mapscript.queryMapObj_color_get, _mapscript.queryMapObj_color_set)
    def __init__(self, *args):
        newobj = _mapscript.new_queryMapObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_queryMapObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class queryMapObjPtr(queryMapObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = queryMapObj
_mapscript.queryMapObj_swigregister(queryMapObjPtr)

class labelObj(object):
    def __repr__(self):
        return "<C labelObj instance at %s>" % (self.this,)
    font = property(_mapscript.labelObj_font_get, _mapscript.labelObj_font_set)
    type = property(_mapscript.labelObj_type_get, _mapscript.labelObj_type_set)
    color = property(_mapscript.labelObj_color_get, _mapscript.labelObj_color_set)
    outlinecolor = property(_mapscript.labelObj_outlinecolor_get, _mapscript.labelObj_outlinecolor_set)
    shadowcolor = property(_mapscript.labelObj_shadowcolor_get, _mapscript.labelObj_shadowcolor_set)
    shadowsizex = property(_mapscript.labelObj_shadowsizex_get, _mapscript.labelObj_shadowsizex_set)
    shadowsizey = property(_mapscript.labelObj_shadowsizey_get, _mapscript.labelObj_shadowsizey_set)
    backgroundcolor = property(_mapscript.labelObj_backgroundcolor_get, _mapscript.labelObj_backgroundcolor_set)
    backgroundshadowcolor = property(_mapscript.labelObj_backgroundshadowcolor_get, _mapscript.labelObj_backgroundshadowcolor_set)
    backgroundshadowsizex = property(_mapscript.labelObj_backgroundshadowsizex_get, _mapscript.labelObj_backgroundshadowsizex_set)
    backgroundshadowsizey = property(_mapscript.labelObj_backgroundshadowsizey_get, _mapscript.labelObj_backgroundshadowsizey_set)
    size = property(_mapscript.labelObj_size_get, _mapscript.labelObj_size_set)
    sizescaled = property(_mapscript.labelObj_sizescaled_get, _mapscript.labelObj_sizescaled_set)
    minsize = property(_mapscript.labelObj_minsize_get, _mapscript.labelObj_minsize_set)
    maxsize = property(_mapscript.labelObj_maxsize_get, _mapscript.labelObj_maxsize_set)
    position = property(_mapscript.labelObj_position_get, _mapscript.labelObj_position_set)
    offsetx = property(_mapscript.labelObj_offsetx_get, _mapscript.labelObj_offsetx_set)
    offsety = property(_mapscript.labelObj_offsety_get, _mapscript.labelObj_offsety_set)
    angle = property(_mapscript.labelObj_angle_get, _mapscript.labelObj_angle_set)
    autoangle = property(_mapscript.labelObj_autoangle_get, _mapscript.labelObj_autoangle_set)
    buffer = property(_mapscript.labelObj_buffer_get, _mapscript.labelObj_buffer_set)
    antialias = property(_mapscript.labelObj_antialias_get, _mapscript.labelObj_antialias_set)
    wrap = property(_mapscript.labelObj_wrap_get, _mapscript.labelObj_wrap_set)
    minfeaturesize = property(_mapscript.labelObj_minfeaturesize_get, _mapscript.labelObj_minfeaturesize_set)
    autominfeaturesize = property(_mapscript.labelObj_autominfeaturesize_get, _mapscript.labelObj_autominfeaturesize_set)
    mindistance = property(_mapscript.labelObj_mindistance_get, _mapscript.labelObj_mindistance_set)
    partials = property(_mapscript.labelObj_partials_get, _mapscript.labelObj_partials_set)
    force = property(_mapscript.labelObj_force_get, _mapscript.labelObj_force_set)
    def __init__(self, *args):
        newobj = _mapscript.new_labelObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_labelObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class labelObjPtr(labelObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = labelObj
_mapscript.labelObj_swigregister(labelObjPtr)

class webObj(object):
    def __repr__(self):
        return "<C webObj instance at %s>" % (self.this,)
    log = property(_mapscript.webObj_log_get, _mapscript.webObj_log_set)
    imagepath = property(_mapscript.webObj_imagepath_get, _mapscript.webObj_imagepath_set)
    imageurl = property(_mapscript.webObj_imageurl_get, _mapscript.webObj_imageurl_set)
    map = property(_mapscript.webObj_map_get, _mapscript.webObj_map_set)
    template = property(_mapscript.webObj_template_get, _mapscript.webObj_template_set)
    header = property(_mapscript.webObj_header_get, _mapscript.webObj_header_set)
    footer = property(_mapscript.webObj_footer_get, _mapscript.webObj_footer_set)
    empty = property(_mapscript.webObj_empty_get, _mapscript.webObj_empty_set)
    error = property(_mapscript.webObj_error_get, _mapscript.webObj_error_set)
    extent = property(_mapscript.webObj_extent_get, _mapscript.webObj_extent_set)
    minscale = property(_mapscript.webObj_minscale_get, _mapscript.webObj_minscale_set)
    maxscale = property(_mapscript.webObj_maxscale_get, _mapscript.webObj_maxscale_set)
    mintemplate = property(_mapscript.webObj_mintemplate_get, _mapscript.webObj_mintemplate_set)
    maxtemplate = property(_mapscript.webObj_maxtemplate_get, _mapscript.webObj_maxtemplate_set)
    queryformat = property(_mapscript.webObj_queryformat_get, _mapscript.webObj_queryformat_set)
    def __init__(self, *args):
        newobj = _mapscript.new_webObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_webObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class webObjPtr(webObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = webObj
_mapscript.webObj_swigregister(webObjPtr)

class Style(object):
    def __repr__(self):
        return "<C styleObj instance at %s>" % (self.this,)
    color = property(_mapscript.Style_color_get, _mapscript.Style_color_set)
    backgroundcolor = property(_mapscript.Style_backgroundcolor_get, _mapscript.Style_backgroundcolor_set)
    outlinecolor = property(_mapscript.Style_outlinecolor_get, _mapscript.Style_outlinecolor_set)
    symbol = property(_mapscript.Style_symbol_get, _mapscript.Style_symbol_set)
    symbolname = property(_mapscript.Style_symbolname_get, _mapscript.Style_symbolname_set)
    size = property(_mapscript.Style_size_get, _mapscript.Style_size_set)
    sizescaled = property(_mapscript.Style_sizescaled_get, _mapscript.Style_sizescaled_set)
    minsize = property(_mapscript.Style_minsize_get, _mapscript.Style_minsize_set)
    maxsize = property(_mapscript.Style_maxsize_get, _mapscript.Style_maxsize_set)
    offsetx = property(_mapscript.Style_offsetx_get, _mapscript.Style_offsetx_set)
    offsety = property(_mapscript.Style_offsety_get, _mapscript.Style_offsety_set)
    antialias = property(_mapscript.Style_antialias_get, _mapscript.Style_antialias_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Style(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Style):
        try:
            if self.thisown: destroy(self)
        except: pass

class StylePtr(Style):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Style
_mapscript.Style_swigregister(StylePtr)

class Class(object):
    def __repr__(self):
        return "<C classObj instance at %s>" % (self.this,)
    status = property(_mapscript.Class_status_get, _mapscript.Class_status_set)
    styles = property(_mapscript.Class_styles_get, _mapscript.Class_styles_set)
    numstyles = property(_mapscript.Class_numstyles_get, _mapscript.Class_numstyles_set)
    label = property(_mapscript.Class_label_get, _mapscript.Class_label_set)
    name = property(_mapscript.Class_name_get, _mapscript.Class_name_set)
    title = property(_mapscript.Class_title_get, _mapscript.Class_title_set)
    template = property(_mapscript.Class_template_get, _mapscript.Class_template_set)
    type = property(_mapscript.Class_type_get, _mapscript.Class_type_set)
    minscale = property(_mapscript.Class_minscale_get, _mapscript.Class_minscale_set)
    maxscale = property(_mapscript.Class_maxscale_get, _mapscript.Class_maxscale_set)
    layer = property(_mapscript.Class_layer_get, _mapscript.Class_layer_set)
    debug = property(_mapscript.Class_debug_get, _mapscript.Class_debug_set)
    keyimage = property(_mapscript.Class_keyimage_get, _mapscript.Class_keyimage_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Class(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Class):
        try:
            if self.thisown: destroy(self)
        except: pass
    def setExpression(*args): return _mapscript.Class_setExpression(*args)
    def getExpressionString(*args): return _mapscript.Class_getExpressionString(*args)
    def setText(*args): return _mapscript.Class_setText(*args)
    def getMetaData(*args): return _mapscript.Class_getMetaData(*args)
    def setMetaData(*args): return _mapscript.Class_setMetaData(*args)
    def getFirstMetaDataKey(*args): return _mapscript.Class_getFirstMetaDataKey(*args)
    def getNextMetaDataKey(*args): return _mapscript.Class_getNextMetaDataKey(*args)
    def drawLegendIcon(*args): return _mapscript.Class_drawLegendIcon(*args)
    def createLegendIcon(*args): return _mapscript.Class_createLegendIcon(*args)
    def getStyle(*args): return _mapscript.Class_getStyle(*args)
    def insertStyle(*args): return _mapscript.Class_insertStyle(*args)
    def removeStyle(*args): return _mapscript.Class_removeStyle(*args)
    def moveStyleUp(*args): return _mapscript.Class_moveStyleUp(*args)
    def moveStyleDown(*args): return _mapscript.Class_moveStyleDown(*args)

class ClassPtr(Class):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Class
_mapscript.Class_swigregister(ClassPtr)

class labelCacheMemberObj(object):
    def __repr__(self):
        return "<C labelCacheMemberObj instance at %s>" % (self.this,)
    string = property(_mapscript.labelCacheMemberObj_string_get)
    featuresize = property(_mapscript.labelCacheMemberObj_featuresize_get)
    styles = property(_mapscript.labelCacheMemberObj_styles_get)
    numstyles = property(_mapscript.labelCacheMemberObj_numstyles_get)
    label = property(_mapscript.labelCacheMemberObj_label_get)
    layerindex = property(_mapscript.labelCacheMemberObj_layerindex_get)
    classindex = property(_mapscript.labelCacheMemberObj_classindex_get)
    tileindex = property(_mapscript.labelCacheMemberObj_tileindex_get)
    shapeindex = property(_mapscript.labelCacheMemberObj_shapeindex_get)
    point = property(_mapscript.labelCacheMemberObj_point_get)
    poly = property(_mapscript.labelCacheMemberObj_poly_get)
    status = property(_mapscript.labelCacheMemberObj_status_get)
    def __init__(self, *args):
        newobj = _mapscript.new_labelCacheMemberObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_labelCacheMemberObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class labelCacheMemberObjPtr(labelCacheMemberObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = labelCacheMemberObj
_mapscript.labelCacheMemberObj_swigregister(labelCacheMemberObjPtr)

class markerCacheMemberObj(object):
    def __repr__(self):
        return "<C markerCacheMemberObj instance at %s>" % (self.this,)
    id = property(_mapscript.markerCacheMemberObj_id_get)
    poly = property(_mapscript.markerCacheMemberObj_poly_get)
    def __init__(self, *args):
        newobj = _mapscript.new_markerCacheMemberObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_markerCacheMemberObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class markerCacheMemberObjPtr(markerCacheMemberObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = markerCacheMemberObj
_mapscript.markerCacheMemberObj_swigregister(markerCacheMemberObjPtr)

class labelCacheObj(object):
    def __repr__(self):
        return "<C labelCacheObj instance at %s>" % (self.this,)
    labels = property(_mapscript.labelCacheObj_labels_get)
    numlabels = property(_mapscript.labelCacheObj_numlabels_get)
    cachesize = property(_mapscript.labelCacheObj_cachesize_get)
    markers = property(_mapscript.labelCacheObj_markers_get)
    nummarkers = property(_mapscript.labelCacheObj_nummarkers_get)
    markercachesize = property(_mapscript.labelCacheObj_markercachesize_get)
    def freeCache(*args): return _mapscript.labelCacheObj_freeCache(*args)
    def __init__(self, *args):
        newobj = _mapscript.new_labelCacheObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_labelCacheObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class labelCacheObjPtr(labelCacheObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = labelCacheObj
_mapscript.labelCacheObj_swigregister(labelCacheObjPtr)

class resultCacheMemberObj(object):
    def __repr__(self):
        return "<C resultCacheMemberObj instance at %s>" % (self.this,)
    shapeindex = property(_mapscript.resultCacheMemberObj_shapeindex_get)
    tileindex = property(_mapscript.resultCacheMemberObj_tileindex_get)
    classindex = property(_mapscript.resultCacheMemberObj_classindex_get)
    def __init__(self, *args):
        newobj = _mapscript.new_resultCacheMemberObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_resultCacheMemberObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class resultCacheMemberObjPtr(resultCacheMemberObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = resultCacheMemberObj
_mapscript.resultCacheMemberObj_swigregister(resultCacheMemberObjPtr)

class resultCacheObj(object):
    def __repr__(self):
        return "<C resultCacheObj instance at %s>" % (self.this,)
    numresults = property(_mapscript.resultCacheObj_numresults_get)
    bounds = property(_mapscript.resultCacheObj_bounds_get)
    def __init__(self, *args):
        newobj = _mapscript.new_resultCacheObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_resultCacheObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class resultCacheObjPtr(resultCacheObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = resultCacheObj
_mapscript.resultCacheObj_swigregister(resultCacheObjPtr)

class SymbolSet(object):
    def __repr__(self):
        return "<C symbolSetObj instance at %s>" % (self.this,)
    filename = property(_mapscript.SymbolSet_filename_get, _mapscript.SymbolSet_filename_set)
    imagecachesize = property(_mapscript.SymbolSet_imagecachesize_get, _mapscript.SymbolSet_imagecachesize_set)
    numsymbols = property(_mapscript.SymbolSet_numsymbols_get)
    symbol = property(_mapscript.SymbolSet_symbol_get, _mapscript.SymbolSet_symbol_set)
    def __init__(self, *args):
        newobj = _mapscript.new_SymbolSet(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_SymbolSet):
        try:
            if self.thisown: destroy(self)
        except: pass
    def getSymbol(*args): return _mapscript.SymbolSet_getSymbol(*args)
    def getSymbolByName(*args): return _mapscript.SymbolSet_getSymbolByName(*args)
    def index(*args): return _mapscript.SymbolSet_index(*args)
    def appendSymbol(*args): return _mapscript.SymbolSet_appendSymbol(*args)
    def removeSymbol(*args): return _mapscript.SymbolSet_removeSymbol(*args)
    def save(*args): return _mapscript.SymbolSet_save(*args)

class SymbolSetPtr(SymbolSet):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = SymbolSet
_mapscript.SymbolSet_swigregister(SymbolSetPtr)

class referenceMapObj(object):
    def __repr__(self):
        return "<C referenceMapObj instance at %s>" % (self.this,)
    extent = property(_mapscript.referenceMapObj_extent_get, _mapscript.referenceMapObj_extent_set)
    height = property(_mapscript.referenceMapObj_height_get, _mapscript.referenceMapObj_height_set)
    width = property(_mapscript.referenceMapObj_width_get, _mapscript.referenceMapObj_width_set)
    color = property(_mapscript.referenceMapObj_color_get, _mapscript.referenceMapObj_color_set)
    outlinecolor = property(_mapscript.referenceMapObj_outlinecolor_get, _mapscript.referenceMapObj_outlinecolor_set)
    image = property(_mapscript.referenceMapObj_image_get, _mapscript.referenceMapObj_image_set)
    status = property(_mapscript.referenceMapObj_status_get, _mapscript.referenceMapObj_status_set)
    marker = property(_mapscript.referenceMapObj_marker_get, _mapscript.referenceMapObj_marker_set)
    markername = property(_mapscript.referenceMapObj_markername_get, _mapscript.referenceMapObj_markername_set)
    markersize = property(_mapscript.referenceMapObj_markersize_get, _mapscript.referenceMapObj_markersize_set)
    minboxsize = property(_mapscript.referenceMapObj_minboxsize_get, _mapscript.referenceMapObj_minboxsize_set)
    maxboxsize = property(_mapscript.referenceMapObj_maxboxsize_get, _mapscript.referenceMapObj_maxboxsize_set)
    map = property(_mapscript.referenceMapObj_map_get, _mapscript.referenceMapObj_map_set)
    def __init__(self, *args):
        newobj = _mapscript.new_referenceMapObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_referenceMapObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class referenceMapObjPtr(referenceMapObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = referenceMapObj
_mapscript.referenceMapObj_swigregister(referenceMapObjPtr)

class scalebarObj(object):
    def __repr__(self):
        return "<C scalebarObj instance at %s>" % (self.this,)
    imagecolor = property(_mapscript.scalebarObj_imagecolor_get, _mapscript.scalebarObj_imagecolor_set)
    height = property(_mapscript.scalebarObj_height_get, _mapscript.scalebarObj_height_set)
    width = property(_mapscript.scalebarObj_width_get, _mapscript.scalebarObj_width_set)
    style = property(_mapscript.scalebarObj_style_get, _mapscript.scalebarObj_style_set)
    intervals = property(_mapscript.scalebarObj_intervals_get, _mapscript.scalebarObj_intervals_set)
    label = property(_mapscript.scalebarObj_label_get, _mapscript.scalebarObj_label_set)
    color = property(_mapscript.scalebarObj_color_get, _mapscript.scalebarObj_color_set)
    backgroundcolor = property(_mapscript.scalebarObj_backgroundcolor_get, _mapscript.scalebarObj_backgroundcolor_set)
    outlinecolor = property(_mapscript.scalebarObj_outlinecolor_get, _mapscript.scalebarObj_outlinecolor_set)
    units = property(_mapscript.scalebarObj_units_get, _mapscript.scalebarObj_units_set)
    status = property(_mapscript.scalebarObj_status_get, _mapscript.scalebarObj_status_set)
    position = property(_mapscript.scalebarObj_position_get, _mapscript.scalebarObj_position_set)
    postlabelcache = property(_mapscript.scalebarObj_postlabelcache_get, _mapscript.scalebarObj_postlabelcache_set)
    def __init__(self, *args):
        newobj = _mapscript.new_scalebarObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_scalebarObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class scalebarObjPtr(scalebarObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = scalebarObj
_mapscript.scalebarObj_swigregister(scalebarObjPtr)

class legendObj(object):
    def __repr__(self):
        return "<C legendObj instance at %s>" % (self.this,)
    imagecolor = property(_mapscript.legendObj_imagecolor_get, _mapscript.legendObj_imagecolor_set)
    label = property(_mapscript.legendObj_label_get, _mapscript.legendObj_label_set)
    keysizex = property(_mapscript.legendObj_keysizex_get, _mapscript.legendObj_keysizex_set)
    keysizey = property(_mapscript.legendObj_keysizey_get, _mapscript.legendObj_keysizey_set)
    keyspacingx = property(_mapscript.legendObj_keyspacingx_get, _mapscript.legendObj_keyspacingx_set)
    keyspacingy = property(_mapscript.legendObj_keyspacingy_get, _mapscript.legendObj_keyspacingy_set)
    outlinecolor = property(_mapscript.legendObj_outlinecolor_get, _mapscript.legendObj_outlinecolor_set)
    status = property(_mapscript.legendObj_status_get, _mapscript.legendObj_status_set)
    height = property(_mapscript.legendObj_height_get, _mapscript.legendObj_height_set)
    width = property(_mapscript.legendObj_width_get, _mapscript.legendObj_width_set)
    position = property(_mapscript.legendObj_position_get, _mapscript.legendObj_position_set)
    postlabelcache = property(_mapscript.legendObj_postlabelcache_get, _mapscript.legendObj_postlabelcache_set)
    template = property(_mapscript.legendObj_template_get, _mapscript.legendObj_template_set)
    map = property(_mapscript.legendObj_map_get, _mapscript.legendObj_map_set)
    def __init__(self, *args):
        newobj = _mapscript.new_legendObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_legendObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class legendObjPtr(legendObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = legendObj
_mapscript.legendObj_swigregister(legendObjPtr)

class graticuleObj(object):
    def __repr__(self):
        return "<C graticuleObj instance at %s>" % (self.this,)
    dwhichlatitude = property(_mapscript.graticuleObj_dwhichlatitude_get, _mapscript.graticuleObj_dwhichlatitude_set)
    dwhichlongitude = property(_mapscript.graticuleObj_dwhichlongitude_get, _mapscript.graticuleObj_dwhichlongitude_set)
    dstartlatitude = property(_mapscript.graticuleObj_dstartlatitude_get, _mapscript.graticuleObj_dstartlatitude_set)
    dstartlongitude = property(_mapscript.graticuleObj_dstartlongitude_get, _mapscript.graticuleObj_dstartlongitude_set)
    dendlatitude = property(_mapscript.graticuleObj_dendlatitude_get, _mapscript.graticuleObj_dendlatitude_set)
    dendlongitude = property(_mapscript.graticuleObj_dendlongitude_get, _mapscript.graticuleObj_dendlongitude_set)
    dincrementlatitude = property(_mapscript.graticuleObj_dincrementlatitude_get, _mapscript.graticuleObj_dincrementlatitude_set)
    dincrementlongitude = property(_mapscript.graticuleObj_dincrementlongitude_get, _mapscript.graticuleObj_dincrementlongitude_set)
    minarcs = property(_mapscript.graticuleObj_minarcs_get, _mapscript.graticuleObj_minarcs_set)
    maxarcs = property(_mapscript.graticuleObj_maxarcs_get, _mapscript.graticuleObj_maxarcs_set)
    minincrement = property(_mapscript.graticuleObj_minincrement_get, _mapscript.graticuleObj_minincrement_set)
    maxincrement = property(_mapscript.graticuleObj_maxincrement_get, _mapscript.graticuleObj_maxincrement_set)
    minsubdivides = property(_mapscript.graticuleObj_minsubdivides_get, _mapscript.graticuleObj_minsubdivides_set)
    maxsubdivides = property(_mapscript.graticuleObj_maxsubdivides_get, _mapscript.graticuleObj_maxsubdivides_set)
    bvertical = property(_mapscript.graticuleObj_bvertical_get, _mapscript.graticuleObj_bvertical_set)
    blabelaxes = property(_mapscript.graticuleObj_blabelaxes_get, _mapscript.graticuleObj_blabelaxes_set)
    ilabelstate = property(_mapscript.graticuleObj_ilabelstate_get, _mapscript.graticuleObj_ilabelstate_set)
    ilabeltype = property(_mapscript.graticuleObj_ilabeltype_get, _mapscript.graticuleObj_ilabeltype_set)
    extent = property(_mapscript.graticuleObj_extent_get, _mapscript.graticuleObj_extent_set)
    pboundinglines = property(_mapscript.graticuleObj_pboundinglines_get, _mapscript.graticuleObj_pboundinglines_set)
    pboundingpoints = property(_mapscript.graticuleObj_pboundingpoints_get, _mapscript.graticuleObj_pboundingpoints_set)
    labelformat = property(_mapscript.graticuleObj_labelformat_get, _mapscript.graticuleObj_labelformat_set)
    def __init__(self, *args):
        newobj = _mapscript.new_graticuleObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_graticuleObj):
        try:
            if self.thisown: destroy(self)
        except: pass

class graticuleObjPtr(graticuleObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = graticuleObj
_mapscript.graticuleObj_swigregister(graticuleObjPtr)

class Layer(object):
    def __repr__(self):
        return "<C layerObj instance at %s>" % (self.this,)
    classitem = property(_mapscript.Layer_classitem_get, _mapscript.Layer_classitem_set)
    numclasses = property(_mapscript.Layer_numclasses_get)
    index = property(_mapscript.Layer_index_get)
    map = property(_mapscript.Layer_map_get)
    header = property(_mapscript.Layer_header_get, _mapscript.Layer_header_set)
    footer = property(_mapscript.Layer_footer_get, _mapscript.Layer_footer_set)
    template = property(_mapscript.Layer_template_get, _mapscript.Layer_template_set)
    name = property(_mapscript.Layer_name_get, _mapscript.Layer_name_set)
    group = property(_mapscript.Layer_group_get, _mapscript.Layer_group_set)
    status = property(_mapscript.Layer_status_get, _mapscript.Layer_status_set)
    data = property(_mapscript.Layer_data_get, _mapscript.Layer_data_set)
    type = property(_mapscript.Layer_type_get, _mapscript.Layer_type_set)
    tolerance = property(_mapscript.Layer_tolerance_get, _mapscript.Layer_tolerance_set)
    toleranceunits = property(_mapscript.Layer_toleranceunits_get, _mapscript.Layer_toleranceunits_set)
    symbolscale = property(_mapscript.Layer_symbolscale_get, _mapscript.Layer_symbolscale_set)
    minscale = property(_mapscript.Layer_minscale_get, _mapscript.Layer_minscale_set)
    maxscale = property(_mapscript.Layer_maxscale_get, _mapscript.Layer_maxscale_set)
    labelminscale = property(_mapscript.Layer_labelminscale_get, _mapscript.Layer_labelminscale_set)
    labelmaxscale = property(_mapscript.Layer_labelmaxscale_get, _mapscript.Layer_labelmaxscale_set)
    sizeunits = property(_mapscript.Layer_sizeunits_get, _mapscript.Layer_sizeunits_set)
    maxfeatures = property(_mapscript.Layer_maxfeatures_get, _mapscript.Layer_maxfeatures_set)
    offsite = property(_mapscript.Layer_offsite_get, _mapscript.Layer_offsite_set)
    transform = property(_mapscript.Layer_transform_get, _mapscript.Layer_transform_set)
    labelcache = property(_mapscript.Layer_labelcache_get, _mapscript.Layer_labelcache_set)
    postlabelcache = property(_mapscript.Layer_postlabelcache_get, _mapscript.Layer_postlabelcache_set)
    labelitem = property(_mapscript.Layer_labelitem_get, _mapscript.Layer_labelitem_set)
    labelsizeitem = property(_mapscript.Layer_labelsizeitem_get, _mapscript.Layer_labelsizeitem_set)
    labelangleitem = property(_mapscript.Layer_labelangleitem_get, _mapscript.Layer_labelangleitem_set)
    labelitemindex = property(_mapscript.Layer_labelitemindex_get, _mapscript.Layer_labelitemindex_set)
    labelsizeitemindex = property(_mapscript.Layer_labelsizeitemindex_get, _mapscript.Layer_labelsizeitemindex_set)
    labelangleitemindex = property(_mapscript.Layer_labelangleitemindex_get, _mapscript.Layer_labelangleitemindex_set)
    tileitem = property(_mapscript.Layer_tileitem_get, _mapscript.Layer_tileitem_set)
    tileindex = property(_mapscript.Layer_tileindex_get, _mapscript.Layer_tileindex_set)
    units = property(_mapscript.Layer_units_get, _mapscript.Layer_units_set)
    connection = property(_mapscript.Layer_connection_get, _mapscript.Layer_connection_set)
    connectiontype = property(_mapscript.Layer_connectiontype_get, _mapscript.Layer_connectiontype_set)
    numitems = property(_mapscript.Layer_numitems_get)
    bandsitem = property(_mapscript.Layer_bandsitem_get, _mapscript.Layer_bandsitem_set)
    filteritem = property(_mapscript.Layer_filteritem_get, _mapscript.Layer_filteritem_set)
    styleitem = property(_mapscript.Layer_styleitem_get, _mapscript.Layer_styleitem_set)
    requires = property(_mapscript.Layer_requires_get, _mapscript.Layer_requires_set)
    labelrequires = property(_mapscript.Layer_labelrequires_get, _mapscript.Layer_labelrequires_set)
    transparency = property(_mapscript.Layer_transparency_get, _mapscript.Layer_transparency_set)
    dump = property(_mapscript.Layer_dump_get, _mapscript.Layer_dump_set)
    debug = property(_mapscript.Layer_debug_get, _mapscript.Layer_debug_set)
    numprocessing = property(_mapscript.Layer_numprocessing_get)
    numjoins = property(_mapscript.Layer_numjoins_get)
    def __init__(self, *args):
        newobj = _mapscript.new_Layer(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Layer):
        try:
            if self.thisown: destroy(self)
        except: pass
    def removeClass(*args): return _mapscript.Layer_removeClass(*args)
    def open(*args): return _mapscript.Layer_open(*args)
    def close(*args): return _mapscript.Layer_close(*args)
    def getShape(*args): return _mapscript.Layer_getShape(*args)
    def getNumResults(*args): return _mapscript.Layer_getNumResults(*args)
    def getResult(*args): return _mapscript.Layer_getResult(*args)
    def getClass(*args): return _mapscript.Layer_getClass(*args)
    def getItem(*args): return _mapscript.Layer_getItem(*args)
    def promote(*args): return _mapscript.Layer_promote(*args)
    def demote(*args): return _mapscript.Layer_demote(*args)
    def draw(*args): return _mapscript.Layer_draw(*args)
    def drawQuery(*args): return _mapscript.Layer_drawQuery(*args)
    def queryByAttributes(*args): return _mapscript.Layer_queryByAttributes(*args)
    def queryByPoint(*args): return _mapscript.Layer_queryByPoint(*args)
    def queryByRect(*args): return _mapscript.Layer_queryByRect(*args)
    def queryByFeatures(*args): return _mapscript.Layer_queryByFeatures(*args)
    def queryByShape(*args): return _mapscript.Layer_queryByShape(*args)
    def setFilter(*args): return _mapscript.Layer_setFilter(*args)
    def getFilterString(*args): return _mapscript.Layer_getFilterString(*args)
    def setWKTProjection(*args): return _mapscript.Layer_setWKTProjection(*args)
    def getProjection(*args): return _mapscript.Layer_getProjection(*args)
    def setProjection(*args): return _mapscript.Layer_setProjection(*args)
    def addFeature(*args): return _mapscript.Layer_addFeature(*args)
    def getNumFeatures(*args): return _mapscript.Layer_getNumFeatures(*args)
    def getExtent(*args): return _mapscript.Layer_getExtent(*args)
    def getMetaData(*args): return _mapscript.Layer_getMetaData(*args)
    def setMetaData(*args): return _mapscript.Layer_setMetaData(*args)
    def removeMetaData(*args): return _mapscript.Layer_removeMetaData(*args)
    def getFirstMetaDataKey(*args): return _mapscript.Layer_getFirstMetaDataKey(*args)
    def getNextMetaDataKey(*args): return _mapscript.Layer_getNextMetaDataKey(*args)
    def getWMSFeatureInfoURL(*args): return _mapscript.Layer_getWMSFeatureInfoURL(*args)
    def executeWFSGetFeature(*args): return _mapscript.Layer_executeWFSGetFeature(*args)
    def applySLD(*args): return _mapscript.Layer_applySLD(*args)
    def applySLDURL(*args): return _mapscript.Layer_applySLDURL(*args)
    def generateSLD(*args): return _mapscript.Layer_generateSLD(*args)
    def moveClassUp(*args): return _mapscript.Layer_moveClassUp(*args)
    def moveClassDown(*args): return _mapscript.Layer_moveClassDown(*args)
    def setProcessingKey(*args): return _mapscript.Layer_setProcessingKey(*args)
    def setProcessing(*args): return _mapscript.Layer_setProcessing(*args)
    def addProcessing(*args): return _mapscript.Layer_addProcessing(*args)
    def getProcessing(*args): return _mapscript.Layer_getProcessing(*args)
    def clearProcessing(*args): return _mapscript.Layer_clearProcessing(*args)

class LayerPtr(Layer):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Layer
_mapscript.Layer_swigregister(LayerPtr)

class Map(object):
    def __repr__(self):
        return "<C mapObj instance at %s>" % (self.this,)
    name = property(_mapscript.Map_name_get, _mapscript.Map_name_set)
    status = property(_mapscript.Map_status_get, _mapscript.Map_status_set)
    height = property(_mapscript.Map_height_get, _mapscript.Map_height_set)
    width = property(_mapscript.Map_width_get, _mapscript.Map_width_set)
    maxsize = property(_mapscript.Map_maxsize_get, _mapscript.Map_maxsize_set)
    layers = property(_mapscript.Map_layers_get, _mapscript.Map_layers_set)
    numlayers = property(_mapscript.Map_numlayers_get)
    symbolset = property(_mapscript.Map_symbolset_get, _mapscript.Map_symbolset_set)
    fontset = property(_mapscript.Map_fontset_get, _mapscript.Map_fontset_set)
    labelcache = property(_mapscript.Map_labelcache_get, _mapscript.Map_labelcache_set)
    transparent = property(_mapscript.Map_transparent_get, _mapscript.Map_transparent_set)
    interlace = property(_mapscript.Map_interlace_get, _mapscript.Map_interlace_set)
    imagequality = property(_mapscript.Map_imagequality_get, _mapscript.Map_imagequality_set)
    extent = property(_mapscript.Map_extent_get, _mapscript.Map_extent_set)
    cellsize = property(_mapscript.Map_cellsize_get, _mapscript.Map_cellsize_set)
    units = property(_mapscript.Map_units_get, _mapscript.Map_units_set)
    scale = property(_mapscript.Map_scale_get, _mapscript.Map_scale_set)
    resolution = property(_mapscript.Map_resolution_get, _mapscript.Map_resolution_set)
    shapepath = property(_mapscript.Map_shapepath_get, _mapscript.Map_shapepath_set)
    mappath = property(_mapscript.Map_mappath_get, _mapscript.Map_mappath_set)
    palette = property(_mapscript.Map_palette_get, _mapscript.Map_palette_set)
    imagecolor = property(_mapscript.Map_imagecolor_get, _mapscript.Map_imagecolor_set)
    numoutputformats = property(_mapscript.Map_numoutputformats_get, _mapscript.Map_numoutputformats_set)
    outputformatlist = property(_mapscript.Map_outputformatlist_get, _mapscript.Map_outputformatlist_set)
    outputformat = property(_mapscript.Map_outputformat_get, _mapscript.Map_outputformat_set)
    imagetype = property(_mapscript.Map_imagetype_get)
    reference = property(_mapscript.Map_reference_get)
    scalebar = property(_mapscript.Map_scalebar_get)
    legend = property(_mapscript.Map_legend_get)
    querymap = property(_mapscript.Map_querymap_get)
    web = property(_mapscript.Map_web_get)
    layerorder = property(_mapscript.Map_layerorder_get)
    debug = property(_mapscript.Map_debug_get)
    datapattern = property(_mapscript.Map_datapattern_get)
    templatepattern = property(_mapscript.Map_templatepattern_get)
    configoptions = property(_mapscript.Map_configoptions_get)
    def zoomPoint(*args): return _mapscript.Map_zoomPoint(*args)
    def zoomRectangle(*args): return _mapscript.Map_zoomRectangle(*args)
    def zoomScale(*args): return _mapscript.Map_zoomScale(*args)
    def getLayerOrder(*args): return _mapscript.Map_getLayerOrder(*args)
    def setLayerOrder(*args): return _mapscript.Map_setLayerOrder(*args)
    def __init__(self, *args):
        newobj = _mapscript.new_Map(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Map):
        try:
            if self.thisown: destroy(self)
        except: pass
    def clone(*args): return _mapscript.Map_clone(*args)
    def setExtent(*args): return _mapscript.Map_setExtent(*args)
    def removeLayer(*args): return _mapscript.Map_removeLayer(*args)
    def getLayer(*args): return _mapscript.Map_getLayer(*args)
    def getLayerByName(*args): return _mapscript.Map_getLayerByName(*args)
    def getSymbolByName(*args): return _mapscript.Map_getSymbolByName(*args)
    def prepareQuery(*args): return _mapscript.Map_prepareQuery(*args)
    def prepareImage(*args): return _mapscript.Map_prepareImage(*args)
    def setImageType(*args): return _mapscript.Map_setImageType(*args)
    def setOutputFormat(*args): return _mapscript.Map_setOutputFormat(*args)
    def draw(*args): return _mapscript.Map_draw(*args)
    def drawQuery(*args): return _mapscript.Map_drawQuery(*args)
    def drawLegend(*args): return _mapscript.Map_drawLegend(*args)
    def drawScalebar(*args): return _mapscript.Map_drawScalebar(*args)
    def drawReferenceMap(*args): return _mapscript.Map_drawReferenceMap(*args)
    def embedScalebar(*args): return _mapscript.Map_embedScalebar(*args)
    def embedLegend(*args): return _mapscript.Map_embedLegend(*args)
    def drawLabelCache(*args): return _mapscript.Map_drawLabelCache(*args)
    def nextLabel(*args): return _mapscript.Map_nextLabel(*args)
    def queryByPoint(*args): return _mapscript.Map_queryByPoint(*args)
    def queryByRect(*args): return _mapscript.Map_queryByRect(*args)
    def queryByFeatures(*args): return _mapscript.Map_queryByFeatures(*args)
    def queryByShape(*args): return _mapscript.Map_queryByShape(*args)
    def setWKTProjection(*args): return _mapscript.Map_setWKTProjection(*args)
    def getProjection(*args): return _mapscript.Map_getProjection(*args)
    def setProjection(*args): return _mapscript.Map_setProjection(*args)
    def save(*args): return _mapscript.Map_save(*args)
    def saveQuery(*args): return _mapscript.Map_saveQuery(*args)
    def saveQueryAsGML(*args): return _mapscript.Map_saveQueryAsGML(*args)
    def getMetaData(*args): return _mapscript.Map_getMetaData(*args)
    def setMetaData(*args): return _mapscript.Map_setMetaData(*args)
    def removeMetaData(*args): return _mapscript.Map_removeMetaData(*args)
    def getFirstMetaDataKey(*args): return _mapscript.Map_getFirstMetaDataKey(*args)
    def getNextMetaDataKey(*args): return _mapscript.Map_getNextMetaDataKey(*args)
    def setSymbolSet(*args): return _mapscript.Map_setSymbolSet(*args)
    def getNumSymbols(*args): return _mapscript.Map_getNumSymbols(*args)
    def setFontSet(*args): return _mapscript.Map_setFontSet(*args)
    def saveMapContext(*args): return _mapscript.Map_saveMapContext(*args)
    def loadMapContext(*args): return _mapscript.Map_loadMapContext(*args)
    def moveLayerUp(*args): return _mapscript.Map_moveLayerUp(*args)
    def moveLayerDown(*args): return _mapscript.Map_moveLayerDown(*args)
    def getLayersDrawingOrder(*args): return _mapscript.Map_getLayersDrawingOrder(*args)
    def setLayersDrawingOrder(*args): return _mapscript.Map_setLayersDrawingOrder(*args)
    def setConfigOption(*args): return _mapscript.Map_setConfigOption(*args)
    def getConfigOption(*args): return _mapscript.Map_getConfigOption(*args)
    def applyConfigOptions(*args): return _mapscript.Map_applyConfigOptions(*args)
    def applySLD(*args): return _mapscript.Map_applySLD(*args)
    def applySLDURL(*args): return _mapscript.Map_applySLDURL(*args)
    def generateSLD(*args): return _mapscript.Map_generateSLD(*args)
    def processTemplate(*args): return _mapscript.Map_processTemplate(*args)
    def processLegendTemplate(*args): return _mapscript.Map_processLegendTemplate(*args)
    def processQueryTemplate(*args): return _mapscript.Map_processQueryTemplate(*args)
    def getOutputFormatByName(*args): return _mapscript.Map_getOutputFormatByName(*args)
    def appendOutputFormat(*args): return _mapscript.Map_appendOutputFormat(*args)
    def removeOutputFormat(*args): return _mapscript.Map_removeOutputFormat(*args)

class MapPtr(Map):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Map
_mapscript.Map_swigregister(MapPtr)

class Image(object):
    def __repr__(self):
        return "<C imageObj instance at %s>" % (self.this,)
    width = property(_mapscript.Image_width_get)
    height = property(_mapscript.Image_height_get)
    imagepath = property(_mapscript.Image_imagepath_get)
    imageurl = property(_mapscript.Image_imageurl_get)
    format = property(_mapscript.Image_format_get, _mapscript.Image_format_set)
    renderer = property(_mapscript.Image_renderer_get, _mapscript.Image_renderer_set)
    size = property(_mapscript.Image_size_get, _mapscript.Image_size_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Image(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def saveToString(*args): return _mapscript.Image_saveToString(*args)
    def __del__(self, destroy=_mapscript.delete_Image):
        try:
            if self.thisown: destroy(self)
        except: pass
    def free(*args): return _mapscript.Image_free(*args)
    def save(*args): return _mapscript.Image_save(*args)

class ImagePtr(Image):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Image
_mapscript.Image_swigregister(ImagePtr)


msSaveImage = _mapscript.msSaveImage

msFreeImage = _mapscript.msFreeImage

msCleanup = _mapscript.msCleanup
MS_SYMBOL_SIMPLE = _mapscript.MS_SYMBOL_SIMPLE
MS_SYMBOL_VECTOR = _mapscript.MS_SYMBOL_VECTOR
MS_SYMBOL_ELLIPSE = _mapscript.MS_SYMBOL_ELLIPSE
MS_SYMBOL_PIXMAP = _mapscript.MS_SYMBOL_PIXMAP
MS_SYMBOL_TRUETYPE = _mapscript.MS_SYMBOL_TRUETYPE
MS_SYMBOL_CARTOLINE = _mapscript.MS_SYMBOL_CARTOLINE
MS_MAXSYMBOLS = _mapscript.MS_MAXSYMBOLS
MS_MAXVECTORPOINTS = _mapscript.MS_MAXVECTORPOINTS
MS_MAXSTYLELENGTH = _mapscript.MS_MAXSTYLELENGTH
MS_IMAGECACHESIZE = _mapscript.MS_IMAGECACHESIZE
class Color(object):
    def __repr__(self):
        return "<C colorObj instance at %s>" % (self.this,)
    pen = property(_mapscript.Color_pen_get, _mapscript.Color_pen_set)
    red = property(_mapscript.Color_red_get, _mapscript.Color_red_set)
    green = property(_mapscript.Color_green_get, _mapscript.Color_green_set)
    blue = property(_mapscript.Color_blue_get, _mapscript.Color_blue_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Color(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Color):
        try:
            if self.thisown: destroy(self)
        except: pass
    def setRGB(*args): return _mapscript.Color_setRGB(*args)
    def setHex(*args): return _mapscript.Color_setHex(*args)
    def toHex(*args): return _mapscript.Color_toHex(*args)

class ColorPtr(Color):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Color
_mapscript.Color_swigregister(ColorPtr)

class Symbol(object):
    def __repr__(self):
        return "<C symbolObj instance at %s>" % (self.this,)
    name = property(_mapscript.Symbol_name_get, _mapscript.Symbol_name_set)
    type = property(_mapscript.Symbol_type_get, _mapscript.Symbol_type_set)
    sizex = property(_mapscript.Symbol_sizex_get, _mapscript.Symbol_sizex_set)
    sizey = property(_mapscript.Symbol_sizey_get, _mapscript.Symbol_sizey_set)
    points = property(_mapscript.Symbol_points_get, _mapscript.Symbol_points_set)
    numpoints = property(_mapscript.Symbol_numpoints_get)
    filled = property(_mapscript.Symbol_filled_get, _mapscript.Symbol_filled_set)
    stylelength = property(_mapscript.Symbol_stylelength_get, _mapscript.Symbol_stylelength_set)
    style = property(_mapscript.Symbol_style_get, _mapscript.Symbol_style_set)
    imagepath = property(_mapscript.Symbol_imagepath_get, _mapscript.Symbol_imagepath_set)
    transparent = property(_mapscript.Symbol_transparent_get, _mapscript.Symbol_transparent_set)
    transparentcolor = property(_mapscript.Symbol_transparentcolor_get, _mapscript.Symbol_transparentcolor_set)
    character = property(_mapscript.Symbol_character_get, _mapscript.Symbol_character_set)
    antialias = property(_mapscript.Symbol_antialias_get, _mapscript.Symbol_antialias_set)
    font = property(_mapscript.Symbol_font_get, _mapscript.Symbol_font_set)
    gap = property(_mapscript.Symbol_gap_get, _mapscript.Symbol_gap_set)
    position = property(_mapscript.Symbol_position_get, _mapscript.Symbol_position_set)
    linecap = property(_mapscript.Symbol_linecap_get, _mapscript.Symbol_linecap_set)
    linejoin = property(_mapscript.Symbol_linejoin_get, _mapscript.Symbol_linejoin_set)
    linejoinmaxsize = property(_mapscript.Symbol_linejoinmaxsize_get, _mapscript.Symbol_linejoinmaxsize_set)
    def __init__(self, *args):
        newobj = _mapscript.new_Symbol(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_Symbol):
        try:
            if self.thisown: destroy(self)
        except: pass
    def setPoints(*args): return _mapscript.Symbol_setPoints(*args)
    def getPoints(*args): return _mapscript.Symbol_getPoints(*args)
    def setStyle(*args): return _mapscript.Symbol_setStyle(*args)

class SymbolPtr(Symbol):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Symbol
_mapscript.Symbol_swigregister(SymbolPtr)

MS_NOERR = _mapscript.MS_NOERR
MS_IOERR = _mapscript.MS_IOERR
MS_MEMERR = _mapscript.MS_MEMERR
MS_TYPEERR = _mapscript.MS_TYPEERR
MS_SYMERR = _mapscript.MS_SYMERR
MS_REGEXERR = _mapscript.MS_REGEXERR
MS_TTFERR = _mapscript.MS_TTFERR
MS_DBFERR = _mapscript.MS_DBFERR
MS_GDERR = _mapscript.MS_GDERR
MS_IDENTERR = _mapscript.MS_IDENTERR
MS_EOFERR = _mapscript.MS_EOFERR
MS_PROJERR = _mapscript.MS_PROJERR
MS_MISCERR = _mapscript.MS_MISCERR
MS_CGIERR = _mapscript.MS_CGIERR
MS_WEBERR = _mapscript.MS_WEBERR
MS_IMGERR = _mapscript.MS_IMGERR
MS_HASHERR = _mapscript.MS_HASHERR
MS_JOINERR = _mapscript.MS_JOINERR
MS_NOTFOUND = _mapscript.MS_NOTFOUND
MS_SHPERR = _mapscript.MS_SHPERR
MS_PARSEERR = _mapscript.MS_PARSEERR
MS_SDEERR = _mapscript.MS_SDEERR
MS_OGRERR = _mapscript.MS_OGRERR
MS_QUERYERR = _mapscript.MS_QUERYERR
MS_WMSERR = _mapscript.MS_WMSERR
MS_WMSCONNERR = _mapscript.MS_WMSCONNERR
MS_ORACLESPATIALERR = _mapscript.MS_ORACLESPATIALERR
MS_WFSERR = _mapscript.MS_WFSERR
MS_WFSCONNERR = _mapscript.MS_WFSCONNERR
MS_MAPCONTEXTERR = _mapscript.MS_MAPCONTEXTERR
MS_HTTPERR = _mapscript.MS_HTTPERR
MS_CHILDERR = _mapscript.MS_CHILDERR
MS_WCSERR = _mapscript.MS_WCSERR
MS_NUMERRORCODES = _mapscript.MS_NUMERRORCODES
MESSAGELENGTH = _mapscript.MESSAGELENGTH
ROUTINELENGTH = _mapscript.ROUTINELENGTH
class errorObj(object):
    def __repr__(self):
        return "<C errorObj instance at %s>" % (self.this,)
    code = property(_mapscript.errorObj_code_get, _mapscript.errorObj_code_set)
    routine = property(_mapscript.errorObj_routine_get, _mapscript.errorObj_routine_set)
    message = property(_mapscript.errorObj_message_get, _mapscript.errorObj_message_set)
    def __init__(self, *args):
        newobj = _mapscript.new_errorObj(*args)
        self.this = newobj.this
        self.thisown = 1
        del newobj.thisown
    def __del__(self, destroy=_mapscript.delete_errorObj):
        try:
            if self.thisown: destroy(self)
        except: pass
    def next(*args): return _mapscript.errorObj_next(*args)

class errorObjPtr(errorObj):
    def __init__(self, this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = errorObj
_mapscript.errorObj_swigregister(errorObjPtr)


msGetErrorObj = _mapscript.msGetErrorObj

msResetErrorList = _mapscript.msResetErrorList

msGetVersion = _mapscript.msGetVersion

msGetErrorString = _mapscript.msGetErrorString

